Bug 222475 - Review Request: sofia-sip - Sofia SIP User-Agent library
Review Request: sofia-sip - Sofia SIP User-Agent library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
: 218744 (view as bug list)
Depends On:
Blocks: 222478 222515
  Show dependency treegraph
 
Reported: 2007-01-12 14:10 EST by Jeffrey C. Ollie
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.12.6-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-03 12:24:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Mock build log (665.32 KB, text/plain)
2007-01-19 12:03 EST, Brian Pepple
no flags Details

  None (edit)
Description Jeffrey C. Ollie 2007-01-12 14:10:31 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.4-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.4-1.fc6.src.rpm
Description:

Sofia SIP is a RFC-3261-compliant library for SIP user agents and other
network elements.
Comment 1 Jeffrey C. Ollie 2007-01-12 14:13:38 EST
*** Bug 218744 has been marked as a duplicate of this bug. ***
Comment 2 Brian Pepple 2007-01-19 12:03:29 EST
Created attachment 146011 [details]
Mock build log

Package fails to build in Mock.  Refer to attached build log.

BTW: Can you fix the white-space usage in the file section to make it more
readable?
Comment 3 Jeffrey C. Ollie 2007-03-06 00:14:21 EST
Spec URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.5-2.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.5-2.fc6.src.rpm

Update to 1.12.5work1 (prerelease of 1.12.6).  I was able to reproduce
the build failure once but after fiddling with the spec for a while
I'm no longer able to reproduce the failure.

Comment 4 Jeffrey C. Ollie 2007-04-14 16:46:01 EDT
Spec URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.5-4.work6.fc6.spec
SRPM URL:
http://repo.ocjtech.us/misc/fedora/6/SRPMS/sofia-sip-1.12.5-4.work6.fc6.src.rpm

I believe that the build failures should have a workaround now.
Comment 6 Jason Tibbitts 2007-06-22 19:14:15 EDT
I hate seeing these tickets sit around for so long....

This builds fine for me in mock on x86_64 with current rawhide.  However, there
are a number of rpmlint complaints:

W: sofia-sip-glib no-documentation
Not a big deal.

E: sofia-sip-utils binary-or-shlib-defines-rpath /usr/bin/sip-date ['/usr/lib64']
E: sofia-sip-utils binary-or-shlib-defines-rpath /usr/bin/sip-options ['/usr/lib64']
E: sofia-sip-utils binary-or-shlib-defines-rpath /usr/bin/sip-dig ['/usr/lib64']
These are problematic and will need to be fixed.

W: sofia-sip unused-direct-shlib-dependency /usr/lib64/libsofia-sip-ua.so.0.5.0
/lib64/libdl.so.2
W: sofia-sip unused-direct-shlib-dependency /usr/lib64/libsofia-sip-ua.so.0.5.0
/lib64/libz.so.1
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libssl.so.6
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libcrypto.so.6
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libdl.so.2
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libz.so.1
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/librt.so.1
It's nice if these can be made to go away, but they're merely inefficiencies.

W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_timers
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_threadsafe
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_getmsgs
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_getmsgs_from
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_start_shared
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_wait
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_log_default
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_log_global
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_wait_mask
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_root_create_with_port
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_timer_next_expires
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_root_magic
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_root_gsource
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_init
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_perror
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_wait
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_home_deinit
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_vllog
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_send
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_deinit
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_base_port_getmsgs
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_port_prefer
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_timer_expire
W: sofia-sip-glib undefined-non-weak-symbol
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 su_wait_destroy
There are situations where these are OK but usually it indicates some sort of error.

I also noticed that your -devel package includes .pc files but has no dependency
on pkgconfig.
Comment 7 Jeffrey C. Ollie 2007-06-26 14:36:55 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/sofia-sip-1.12.6-2.fc7.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/sofia-sip-1.12.6-2.fc7.src.rpm

%changelog
* Tue Jun 26 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.12.6-2
- Re-run libtoolize and auto* to fix rpath issues.
- Add --disable-rpath to the configure line.
- The devel packages need to BR pkgconfig.
Comment 8 Jason Tibbitts 2007-06-27 14:41:43 EDT
Now things are just down to the not-a-problem no-documentation complaint, the
seven unused-direct-shlib-dependency issues, and the pile of
undefined-non-weak-symbol warnings.

Really the only thing I'm seeing as a blocker are the undefined-non-weak-symbol
warnings.  I think (and note that I'm no expert here) that the issue is simply
that libsofia-sip-ua-glib.so isn't linked against libsofia-sip-ua.so, which does
seem to be problematic behavior as it requires applications which use the former
to explicitly link against the latter.  This does seem to be a bug, especially
given that the .pc for the former library doesn't enforce that behavior.
Comment 9 Jeffrey C. Ollie 2007-06-29 14:42:58 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/sofia-sip-1.12.6-3.fc7.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/7/SRPMS/sofia-sip-1.12.6-3.fc7.src.rpm

%changelog
* Fri Jun 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 1.12.6-3
- Link glib library with main library.

Hopefully this fixes the rpmlint errors, they don't seem to occur on
fc7/i386 and my x86_64 box is still running FC4 and the rpmlint on
there doesn't pick up the errors.

Comment 10 Jason Tibbitts 2007-06-29 20:27:19 EDT
Yep, that gets rid of them.  Now we're down to these:

W: sofia-sip-glib no-documentation
W: sofia-sip unused-direct-shlib-dependency /usr/lib64/libsofia-sip-ua.so.0.5.0
/lib64/libdl.so.2
W: sofia-sip unused-direct-shlib-dependency /usr/lib64/libsofia-sip-ua.so.0.5.0
/lib64/libz.so.1
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libssl.so.6
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libcrypto.so.6
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libdl.so.2
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/libz.so.1
W: sofia-sip-glib unused-direct-shlib-dependency
/usr/lib64/libsofia-sip-ua-glib.so.3.0.0 /lib64/librt.so.1
All of which are OK.

It might be nice to define SIP in your %description.

What are the .h.in files for?  You include them explicitly so I assume they must
be necessary.

I really don't see anything at this point which should hold this up any longer.

Review:
* source files match upstream:
   23c7e50b5c68bce65b80ca30e2dd7797e8ca7d4627dca9513a9a2d3f459ed445  
   sofia-sip-1.12.6.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  sofia-sip-1.12.6-3.fc8.x86_64.rpm
   libsofia-sip-ua.so.0()(64bit)
   sofia-sip = 1.12.6-3.fc8
  =
   /sbin/ldconfig
   libcrypto.so.6()(64bit)
   libpthread.so.0()(64bit)
   libpthread.so.0(GLIBC_2.2.5)(64bit)
   libpthread.so.0(GLIBC_2.3.2)(64bit)
   libsofia-sip-ua.so.0()(64bit)
   libssl.so.6()(64bit)
   libz.so.1()(64bit)

  sofia-sip-devel-1.12.6-3.fc8.x86_64.rpm
   sofia-sip-devel = 1.12.6-3.fc8
  =
   /usr/bin/env
   libsofia-sip-ua.so.0()(64bit)
   pkgconfig
   sofia-sip = 1.12.6-3.fc8

  sofia-sip-glib-1.12.6-3.fc8.x86_64.rpm
   libsofia-sip-ua-glib.so.3()(64bit)
   sofia-sip-glib = 1.12.6-3.fc8
  =
   /sbin/ldconfig
   libcrypto.so.6()(64bit)
   libglib-2.0.so.0()(64bit)
   libpthread.so.0()(64bit)
   libpthread.so.0(GLIBC_2.2.5)(64bit)
   libsofia-sip-ua-glib.so.3()(64bit)
   libsofia-sip-ua.so.0()(64bit)
   libssl.so.6()(64bit)
   libz.so.1()(64bit)
   sofia-sip = 1.12.6-3.fc8

  sofia-sip-glib-devel-1.12.6-3.fc8.x86_64.rpm
   sofia-sip-glib-devel = 1.12.6-3.fc8
  =
   libsofia-sip-ua-glib.so.3()(64bit)
   pkgconfig
   sofia-sip-devel = 1.12.6-3.fc8
   sofia-sip-glib = 1.12.6-3.fc8

  sofia-sip-utils-1.12.6-3.fc8.x86_64.rpm
   sofia-sip-utils = 1.12.6-3.fc8
  =
   libcrypto.so.6()(64bit)
   libglib-2.0.so.0()(64bit)
   libpthread.so.0()(64bit)
   libpthread.so.0(GLIBC_2.2.5)(64bit)
   libpthread.so.0(GLIBC_2.3.2)(64bit)
   libsofia-sip-ua.so.0()(64bit)
   libssl.so.6()(64bit)
   libz.so.1()(64bit)
   sofia-sip = 1.12.6-3.fc8
* %check is present and all tests pass:
   All 14 tests passed
* ldconfig is called as appropriate for the two packages which install shared 
   libs.  Unversioned .so files are in the -devel subpackages.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (ldconfig calls)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* headers are in the -devel subpackages.
* pkgconfig files are in the -devel packages, which have the proper pkgconfig 
   dependencies.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 11 Jeffrey C. Ollie 2007-06-30 19:41:03 EDT
Thanks for the review!  I'll fix up the description and remove the .h.in (AFAIK
they aren't needed) before importing.

New Package CVS Request
=======================
Package Name: sofia-sip
Short Description: Sofia SIP User-Agent library
Owners: jeff@ocjtech.us
Branches: devel F-7 FC-6
InitialCC: 
Comment 12 Kevin Fenzi 2007-07-02 15:07:52 EDT
cvs done.
Comment 13 Fedora Update System 2007-07-03 12:24:11 EDT
sofia-sip-1.12.6-6.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Jeffrey C. Ollie 2007-10-17 14:24:04 EDT
Package Change Request
======================
Package Name: sofia-sip
New Branches: F-8

There's an update that I'd like to get into rawhide without messing up F-8.
Comment 15 Kevin Fenzi 2007-10-17 20:12:19 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.